local LDB = LibStub("LibDataBroker-1.1")
local AB = AsmoRaidTracker:NewModule("Broker", "AceConsole-3.0")

--------------------------------------------------------------------------------
-- Standard addon methods
function AB:OnInitialize()
    -- Called when the addon is loaded
    self.lDBObject = {
		type = "data source",
		label = "AsmodeusRaidTracker",
		icon = "Interface\\Icons\\INV_Misc_QuestionMark",
	}
	
	LDB:NewDataObject("AsmodeusRaidTracker", self.lDBObject)
end

function AB:OnEnable()
    -- Called when the addon is enabled
    AsmoRaidTracker.broker = self
end

function AB:OnDisable()
    -- Called when the addon is disabled
end